it.csi.mddtools.guigen

## Enum PortalNames

- java.lang.Object
- - java.lang.Enum<PortalNames>
  - - it.csi.mddtools.guigen.PortalNames

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PortalNames>, org.eclipse.emf.common.util.Enumerator

      public enum PortalNames
      extends java.lang.Enum<PortalNames>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Portal Names', and utility methods for working with them. [[TODO: add documentation here]]
  See Also:
    `GuigenPackage.getPortalNames()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INTRANET_RUPARPIEMONTE` The 'INTRANET RUPARPIEMONTE' literal object
    `NEUTRAL` The 'NEUTRAL' literal object
    `SISTEMA_PIEMONTE` The 'SISTEMA PIEMONTE' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INTRANET_RUPARPIEMONTE_VALUE` The 'INTRANET RUPARPIEMONTE' literal value
    `static int` | `NEUTRAL_VALUE` The 'NEUTRAL' literal value
    `static int` | `SISTEMA_PIEMONTE_VALUE` The 'SISTEMA PIEMONTE' literal value
    `static java.util.List<PortalNames>` | `VALUES` A public read-only list of all the 'Portal Names' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PortalNames` | `get(int value)` Returns the 'Portal Names' literal with the specified integer value
    `static PortalNames` | `get(java.lang.String literal)` Returns the 'Portal Names' literal with the specified literal value
    `static PortalNames` | `getByName(java.lang.String name)` Returns the 'Portal Names' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static PortalNames` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PortalNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SISTEMA_PIEMONTE

          public static final PortalNames SISTEMA_PIEMONTE

      The 'SISTEMA PIEMONTE' literal object.
      See Also:
        `SISTEMA_PIEMONTE_VALUE`

    - #### INTRANET_RUPARPIEMONTE

          public static final PortalNames INTRANET_RUPARPIEMONTE

      The 'INTRANET RUPARPIEMONTE' literal object.
      See Also:
        `INTRANET_RUPARPIEMONTE_VALUE`

    - #### NEUTRAL

          public static final PortalNames NEUTRAL

      The 'NEUTRAL' literal object.
      See Also:
        `NEUTRAL_VALUE`

  - ### Field Detail

    - #### SISTEMA_PIEMONTE_VALUE

          public static final int SISTEMA_PIEMONTE_VALUE

      The 'SISTEMA PIEMONTE' literal value.

      If the meaning of 'SISTEMA PIEMONTE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SISTEMA_PIEMONTE`, Constant Field Values

    - #### INTRANET_RUPARPIEMONTE_VALUE

          public static final int INTRANET_RUPARPIEMONTE_VALUE

      The 'INTRANET RUPARPIEMONTE' literal value.

      If the meaning of 'INTRANET RUPARPIEMONTE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INTRANET_RUPARPIEMONTE`, Constant Field Values

    - #### NEUTRAL_VALUE

          public static final int NEUTRAL_VALUE

      The 'NEUTRAL' literal value.

      If the meaning of 'NEUTRAL' literal object isn't clear, there really should be more of a description here...

      See Also:
        `NEUTRAL`, Constant Field Values

    - #### VALUES

          public static final java.util.List<PortalNames> VALUES

      A public read-only list of all the 'Portal Names' enumerators.

  - ### Method Detail

    - #### values

          public static PortalNames[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PortalNames c : PortalNames.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PortalNames valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static PortalNames get(java.lang.String literal)

      Returns the 'Portal Names' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static PortalNames getByName(java.lang.String name)

      Returns the 'Portal Names' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static PortalNames get(int value)

      Returns the 'Portal Names' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<PortalNames>`